/****************************************************************************/
/*                           random.c                                       */
/****************************************************************************/
/* Written by: Davide Anguita                                               */
/*             University of Genova                                         */
/*             DIBE - Department of Biophysical and Electronic Engineering  */
/*             Via all'Opera Pia 11a                                        */
/*             16145 Genova, ITALY                                          */
/*             e-mail: anguita@dibe.unige.it                                */
/*             Tel:    +39-10-3532192                                       */
/*             Fax:    +39-10-3532175                                       */
/****************************************************************************/
/*                                                                          */
/* Random Number Generator.                                                 */
/* (Do you trust the RNG built in you computer ???? Naaahh !!)              */
/*                                                                          */ 
/* REVISION 1.0 - September 1992                                            */
/*                                                                          */
/****************************************************************************/

#include "random.h"

/****************************************************************************/
/*                        theSeed                                           */
/****************************************************************************/
/*                                                                          */
/* This is the seed of the random number generator.                         */  
/*                                                                          */ 
/****************************************************************************/

long theSeed = 1;


/****************************************************************************/
/*                           RandomNumber()                                 */
/****************************************************************************/

double RandomNumber( void )
{
 double number;
 long   aa = 16807L;
 long   mm = 2147483647L;
 long   qq = 127773L;
 long   rr = 2836L;
 long   lo;
 long   hh;
 long   test;

 hh = theSeed/qq;
 lo = theSeed-hh*qq;
 test = aa*lo-rr*hh;
 if (test > 0)
  {
   theSeed = test;
  }
 else
  {
   theSeed = test+mm;
  }
 number = (double)theSeed/(double)mm;

 return number;
}

/****************************************************************************/
/*                        InitRandom()                                      */
/****************************************************************************/

void InitRandom (long aSeed)
{
 theSeed = aSeed;
}

/****************************************************************************/
/*                        GetSeed()                                         */
/****************************************************************************/

long GetSeed (void)
{
 return theSeed;
}
/****************************************************************************/
/*                        END OF FILE                                       */
/****************************************************************************/
