/****************************************************************************/
/*                             RANDOM.H                                     */
/****************************************************************************/
/* Written by: Davide Anguita                                               */
/*             University of Genova                                         */
/*             DIBE - Department of Biophysical and Electronic Engineering  */
/*             Via all'Opera Pia 11a                                        */
/*             16145 Genova, ITALY                                          */
/*             e-mail: anguita@dibe.unige.it                                */
/*             Tel:    +39-10-3532192                                       */
/*             Fax:    +39-10-3532175                                       */
/****************************************************************************/
/*                                                                          */
/* Random Number Generator.                                                 */
/* (Do you trust the RNG built in you computer ???? Naaahh !!)              */
/*                                                                          */ 
/* REVISION 1.0 - September 1992                                            */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/*                       RandomNumber()                                     */
/****************************************************************************/
/*                                                                          */
/* Returns a random number in the range [0,1).                              */
/*                                                                          */
/****************************************************************************/

double RandomNumber (void);

/****************************************************************************/
/*                       InitRandom()                                       */
/****************************************************************************/
/*                                                                          */
/* Initialize the seed of the random number generator.                      */
/*                                                                          */
/****************************************************************************/

void InitRandom (long aSeed);

/****************************************************************************/
/*                       GetSeed()                                          */
/****************************************************************************/
/*                                                                          */
/* Returns the seed of the number generator.                                */
/*                                                                          */
/****************************************************************************/

long GetSeed (void);

/**********************************************************************/
/*                          END OF FILE                               */
/**********************************************************************/
